## gajim 0.8.2

=== Makefile ===
VERSION		?= 0.8.2

GAJIM_AP	= 0 # do we build Autopackage?

MODULES		= src src/common po
PREFIX		= /usr/local
DESTDIR		= 
OPTFLAGS	= 
export OPTFLAGS
LIBDIR		= /lib
export LIBDIR
MANDIR		= $(DESTDIR)$(PREFIX)/share/man

FIND		= find . \( -name '*.glade' -o -name '*.py' -o -name '*.xpm' -o -name '*.gif' -o -name '*.png' -o -name '*.wav' \)

FILES		= `$(FIND)`
DIRS		= `$(FIND) -exec dirname {} \; | sort -u`
FIND_PO		= find ./po \( -name '*.mo' \)
FILES_PO	= `$(FIND_PO) | sed -e 's/^\.\/po/\./g'`
DIRS_PO		= `$(FIND_PO) -exec dirname {} \; | sort -u | sed -e 's/^\.\/po/\./g'`
FIND_LIB	= find . -name '*.so'
FILES_LIB	= `$(FIND_LIB)`

SCRIPTS = \
	scripts/gajim \
	scripts/gajim-remote

all: translation trayicon gtkspell idle

translation:
	${MAKE} -C po all

trayicon:
	${MAKE} -C src trayicon.so;

gtkspell:
	${MAKE} -C src gtkspell.so;

idle:
	${MAKE} -C src/common all;

clean:
	find . -name '*.pyc' -exec rm {} \;
	find . -name '*.pyo' -exec rm {} \;
	find . -name '*.mo' -exec rm {} \;
	$(foreach sdir, $(MODULES), ${MAKE} -C $(sdir) clean;)

dist:
	rm -rf gajim-$(VERSION)
	mkdir gajim-$(VERSION)
	cp -r data src po gajim-$(VERSION)/
	cp AUTHORS gajim.1 gajim-remote.1 gajim.desktop COPYING Makefile Changelog README launch.sh gajim-$(VERSION)
	mkdir gajim-$(VERSION)/scripts
	for s in $(SCRIPTS) ; do \
		cp $$s gajim-$(VERSION)/scripts/; \
	done
	find gajim-$(VERSION) -name '.svn' -type d | xargs rm -rf
	find gajim-$(VERSION) -name '*.pyc' -exec rm {} \;
	find gajim-$(VERSION) -name '*.pyo' -exec rm {} \;
	find gajim-$(VERSION) -name '.*' -exec rm {} \;
	@echo tarring gajim-$(VERSION) ...
	@tar czf gajim-$(VERSION).tar.gz gajim-$(VERSION)/
	@tar cjf gajim-$(VERSION).tar.bz2 gajim-$(VERSION)/
	rm -rf gajim-$(VERSION)

install:
	# Remove the old po folder if it exists
	if [ -d $(DESTDIR)$(PREFIX)/share/gajim/po ] ; then \
		rm -rf $(DESTDIR)$(PREFIX)/share/gajim/po; \
	fi
	for d in $(DIRS) ; do \
		if [ ! -d $(DESTDIR)$(PREFIX)/share/gajim/$$d ] ; then \
			mkdir -p "$(DESTDIR)$(PREFIX)/share/gajim/$$d"; \
		fi; \
	done
	for f in $(FILES) ; do \
		DST=`dirname "$$f"`; \
		cp "$$f" "$(DESTDIR)$(PREFIX)/share/gajim/$$DST/"; \
	done
	rm "$(DESTDIR)$(PREFIX)/share/gajim/src/systraywin32.py"
	for d in $(DIRS_PO) ; do \
		if [ ! -d $(DESTDIR)$(PREFIX)/share/locale/$$d ] ; then \
			mkdir -p "$(DESTDIR)$(PREFIX)/share/locale/$$d"; \
		fi; \
	done
	for f in $(FILES_PO) ; do \
		DST=`dirname "$$f"`; \
		cp "./po/$$f" "$(DESTDIR)$(PREFIX)/share/locale/$$DST/"; \
	done
	cp COPYING "$(DESTDIR)$(PREFIX)/share/gajim/";
	mkdir -p "$(DESTDIR)$(PREFIX)/share/pixmaps";
	cp data/pixmaps/gajim.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
	cp data/pixmaps/gajim_about.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
	mkdir -p "$(DESTDIR)$(PREFIX)/share/applications";
	cp gajim.desktop "$(DESTDIR)$(PREFIX)/share/applications/";
	mkdir -p "$(MANDIR)/man1";
	cp gajim.1 "$(MANDIR)/man1";
	cp gajim-remote.1 "$(MANDIR)/man1";
	mkdir -p "$(DESTDIR)$(PREFIX)$(LIBDIR)/gajim";
	for f in $(FILES_LIB) ; do \
		cp "$$f" "$(DESTDIR)$(PREFIX)$(LIBDIR)/gajim/"; \
	done
	mkdir -p "$(DESTDIR)$(PREFIX)/bin";
	for s in $(SCRIPTS) ; do \
		BASE=`basename "$$s"`; \
		if [ $(GAJIM_AP) -ne 0 ] ; then \
			F=`cat "$$s" | sed -e 's!LIB!$(LIBDIR)!g'`; \
		else \
			F=`cat "$$s" | sed -e 's!PREFIX!$(PREFIX)!g' -e 's!LIB!$(LIBDIR)!g'`; \
		fi; \
		echo "$$F" > "$(DESTDIR)$(PREFIX)/bin/$$BASE"; \
		chmod +x "$(DESTDIR)$(PREFIX)/bin/$$BASE"; \
	done

#
# show make params we accept
#
help:
	@echo Usage:
	@echo make					- builds all modules
	@echo make clean			- delete built modules and object files
	@echo make install		- install binaries into the official directories
	@echo make uninstall		- uninstall binaries from the official directories
	@echo make help			- prints this help
	@echo 
	@echo make trayicon		- makes only trayicon module
	@echo make idle			- makes only idle detection module
	@echo make translation	- makes only translation \(mo files\)
	@echo make gtkspell		- makes only gtkspell detection module
	@echo

#
# uninstall application from official directories
#
uninstall:
	rm -rf	"$(DESTDIR)$(PREFIX)/share/gajim" # the main files are here
	rm -rf	"$(DESTDIR)$(PREFIX)/lib/gajim" # the .so files are here
	rm -f	"$(DESTDIR)$(PREFIX)/bin/gajim" # the bash script
	rm -f	"$(DESTDIR)$(PREFIX)/bin/gajim-remote" # remote-control script
	rm -f	"$(MANDIR)/man1/gajim.1.gz" # the man page
	rm -f	"$(MANDIR)/man1/gajim-remote.1.gz" # the man page
	rm -f	"$(DESTDIR)$(PREFIX)/share/pixmaps/gajim.png" # the icon
	rm -f	"$(DESTDIR)$(PREFIX)/share/applications/gajim.desktop" #the desktop
	@echo done uninstalling

=== po/Makefile ===
top_srcdir = ../src/
NAME = gajim
LANGS   := fr pt el pl es ru bg de nb cs nl pt_BR
LANGDIR := $(foreach LANG, $(LANGS),$(LANG)/LC_MESSAGES/gajim.mo)

all: $(LANGDIR)

%.mo: %.po
	msgfmt $< -o $@

gajim.pot: ../src/*py ../src/common/*py ../src/gtkgui.glade.h
	intltool-update --pot --gettext-package=$(NAME)

clean:
	find . -name '*.mo' -exec rm {} \;

=== src/Makefile ===
# Set the C flags to include the GTK+ and Python libraries
PYTHONVER = `python -c 'import sys; print sys.version[:3]'`
CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0` -fPIC -I/usr/include/python$(PYTHONVER) -I.
LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0`

all: trayicon.so gtkspell.so

# Build the shared objects
trayicon.so: trayicon.o eggtrayicon.o trayiconmodule.o
	$(CC) $(LDFLAGS) -shared $^ -o $@

gtkspell.so:
	$(CC) $(OPTFLAGS) $(CFLAGS) $(LDFLAGS) `pkg-config --libs --cflags gtkspell-2.0` -shared gtkspellmodule.c $^ -o $@

# The path to the GTK+ python types
DEFS=`pkg-config --variable=defsdir pygtk-2.0`

# Generate the C wrapper from the defs and our override file
trayicon.c: trayicon.defs trayicon.override
	pygtk-codegen-2.0 --prefix trayicon \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gtk-types.defs \
	--override trayicon.override \
	trayicon.defs > $@


# A rule to clean the generated files
clean:
	rm -f trayicon.so *.o trayicon.c gtkspell.so *~  

.PHONY: clean

## gajim 0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION		?= 0.8.2
+VERSION		?= 0.9.1
 
 GAJIM_AP	= 0 # do we build Autopackage?
 
@@ -11,7 +11,7 @@
 export LIBDIR
 MANDIR		= $(DESTDIR)$(PREFIX)/share/man
 
-FIND		= find . \( -name '*.glade' -o -name '*.py' -o -name '*.xpm' -o -name '*.gif' -o -name '*.png' -o -name '*.wav' \)
+FIND		= find . \( -name '*.glade' -o -name '*.py' -o -name '*.xpm' -o -name '*.gif' -o -name '*.png' -o -name '*.wav' -o -name '*.xml' \)
 
 FILES		= `$(FIND)`
 DIRS		= `$(FIND) -exec dirname {} \; | sort -u`
@@ -23,9 +23,9 @@
 
 SCRIPTS = \
 	scripts/gajim \
-	scripts/gajim-remote
+	scripts/gajim-remote \
 
-all: translation trayicon gtkspell idle
+all: translation trayicon gtkspell idle gajim.desktop
 
 translation:
 	${MAKE} -C po all
@@ -43,13 +43,14 @@
 	find . -name '*.pyc' -exec rm {} \;
 	find . -name '*.pyo' -exec rm {} \;
 	find . -name '*.mo' -exec rm {} \;
+	rm -f gajim.desktop \;
 	$(foreach sdir, $(MODULES), ${MAKE} -C $(sdir) clean;)
 
 dist:
 	rm -rf gajim-$(VERSION)
 	mkdir gajim-$(VERSION)
 	cp -r data src po gajim-$(VERSION)/
-	cp AUTHORS gajim.1 gajim-remote.1 gajim.desktop COPYING Makefile Changelog README launch.sh gajim-$(VERSION)
+	cp AUTHORS gajim.1 gajim-remote.1 gajim.desktop.in COPYING THANKS Makefile Changelog README launch.sh gajim-$(VERSION)
 	mkdir gajim-$(VERSION)/scripts
 	for s in $(SCRIPTS) ; do \
 		cp $$s gajim-$(VERSION)/scripts/; \
@@ -63,7 +64,7 @@
 	@tar cjf gajim-$(VERSION).tar.bz2 gajim-$(VERSION)/
 	rm -rf gajim-$(VERSION)
 
-install:
+install: all
 	# Remove the old po folder if it exists
 	if [ -d $(DESTDIR)$(PREFIX)/share/gajim/po ] ; then \
 		rm -rf $(DESTDIR)$(PREFIX)/share/gajim/po; \
@@ -88,6 +89,7 @@
 		cp "./po/$$f" "$(DESTDIR)$(PREFIX)/share/locale/$$DST/"; \
 	done
 	cp COPYING "$(DESTDIR)$(PREFIX)/share/gajim/";
+	cp THANKS "$(DESTDIR)$(PREFIX)/share/gajim/";
 	mkdir -p "$(DESTDIR)$(PREFIX)/share/pixmaps";
 	cp data/pixmaps/gajim.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
 	cp data/pixmaps/gajim_about.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
@@ -112,6 +114,9 @@
 		chmod +x "$(DESTDIR)$(PREFIX)/bin/$$BASE"; \
 	done
 
+gajim.desktop: gajim.desktop.in
+	intltool-merge -d po gajim.desktop.in gajim.desktop
+
 #
 # show make params we accept
 #
@@ -122,11 +127,12 @@
 	@echo make install		- install binaries into the official directories
 	@echo make uninstall		- uninstall binaries from the official directories
 	@echo make help			- prints this help
-	@echo 
+	@echo
 	@echo make trayicon		- makes only trayicon module
 	@echo make idle			- makes only idle detection module
 	@echo make translation	- makes only translation \(mo files\)
 	@echo make gtkspell		- makes only gtkspell detection module
+	@echo make tags			- makes 'tags' file for use with ctags
 	@echo
 
 #
@@ -137,8 +143,17 @@
 	rm -rf	"$(DESTDIR)$(PREFIX)/lib/gajim" # the .so files are here
 	rm -f	"$(DESTDIR)$(PREFIX)/bin/gajim" # the bash script
 	rm -f	"$(DESTDIR)$(PREFIX)/bin/gajim-remote" # remote-control script
-	rm -f	"$(MANDIR)/man1/gajim.1.gz" # the man page
-	rm -f	"$(MANDIR)/man1/gajim-remote.1.gz" # the man page
+	rm -f	"$(MANDIR)/man1/gajim.1" # the man page
+	rm -f	"$(MANDIR)/man1/gajim-remote.1" # the man page
 	rm -f	"$(DESTDIR)$(PREFIX)/share/pixmaps/gajim.png" # the icon
+	rm -f	"$(DESTDIR)$(PREFIX)/share/pixmaps/gajim_about.png" # the icon
 	rm -f	"$(DESTDIR)$(PREFIX)/share/applications/gajim.desktop" #the desktop
+	find "$(DESTDIR)$(PREFIX)/share/locale" -name 'gajim.mo' -exec rm {} \; #the .mo files
 	@echo done uninstalling
+
+tags:
+	-rm tags
+	exuberant-ctags -R
+
+.PHONY: all translation trayicon gtkspell idle clean dist install help\
+	uninstall tags

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 top_srcdir = ../src/
 NAME = gajim
-LANGS   := fr pt el pl es ru bg de nb cs nl pt_BR
+LANGS   := fr pt el pl es ru bg de nb cs nl pt_BR sv it eu sk
 LANGDIR := $(foreach LANG, $(LANGS),$(LANG)/LC_MESSAGES/gajim.mo)
 
 all: $(LANGDIR)

## gajim 0.10

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
-VERSION		?= 0.9.1
+VERSION		?= 0.10
 
 GAJIM_AP	= 0 # do we build Autopackage?
 
 MODULES		= src src/common po
 PREFIX		= /usr/local
+PYTHON		= python
 DESTDIR		= 
 OPTFLAGS	= 
 export OPTFLAGS
@@ -39,6 +40,9 @@
 idle:
 	${MAKE} -C src/common all;
 
+distclean: clean
+	-rm ./tags
+
 clean:
 	find . -name '*.pyc' -exec rm {} \;
 	find . -name '*.pyo' -exec rm {} \;
@@ -64,7 +68,7 @@
 	@tar cjf gajim-$(VERSION).tar.bz2 gajim-$(VERSION)/
 	rm -rf gajim-$(VERSION)
 
-install: all
+install:
 	# Remove the old po folder if it exists
 	if [ -d $(DESTDIR)$(PREFIX)/share/gajim/po ] ; then \
 		rm -rf $(DESTDIR)$(PREFIX)/share/gajim/po; \
@@ -94,7 +98,9 @@
 	cp data/pixmaps/gajim.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
 	cp data/pixmaps/gajim_about.png "$(DESTDIR)$(PREFIX)/share/pixmaps/";
 	mkdir -p "$(DESTDIR)$(PREFIX)/share/applications";
-	cp gajim.desktop "$(DESTDIR)$(PREFIX)/share/applications/";
+	if [ -f gajim.desktop ]; then \
+		cp gajim.desktop "$(DESTDIR)$(PREFIX)/share/applications/"; \
+	fi;
 	mkdir -p "$(MANDIR)/man1";
 	cp gajim.1 "$(MANDIR)/man1";
 	cp gajim-remote.1 "$(MANDIR)/man1";
@@ -106,9 +112,9 @@
 	for s in $(SCRIPTS) ; do \
 		BASE=`basename "$$s"`; \
 		if [ $(GAJIM_AP) -ne 0 ] ; then \
-			F=`cat "$$s" | sed -e 's!LIB!$(LIBDIR)!g'`; \
+			F=`cat "$$s" | sed -e 's!LIB!$(LIBDIR)!g' -e 's!PYTHON_EXEC!$(PYTHON)!g'`; \
 		else \
-			F=`cat "$$s" | sed -e 's!PREFIX!$(PREFIX)!g' -e 's!LIB!$(LIBDIR)!g'`; \
+			F=`cat "$$s" | sed -e 's!PREFIX!$(PREFIX)!g' -e 's!LIB!$(LIBDIR)!g' -e 's!PYTHON_EXEC!$(PYTHON)!g'`; \
 		fi; \
 		echo "$$F" > "$(DESTDIR)$(PREFIX)/bin/$$BASE"; \
 		chmod +x "$(DESTDIR)$(PREFIX)/bin/$$BASE"; \
@@ -122,15 +128,16 @@
 #
 help:
 	@echo Usage:
-	@echo make					- builds all modules
-	@echo make clean			- delete built modules and object files
+	@echo make			- builds all modules
+	@echo make clean		- delete built modules and object files
+	@echo make distclean		- clean plus deletion of all other non-repository files
 	@echo make install		- install binaries into the official directories
 	@echo make uninstall		- uninstall binaries from the official directories
 	@echo make help			- prints this help
 	@echo
 	@echo make trayicon		- makes only trayicon module
 	@echo make idle			- makes only idle detection module
-	@echo make translation	- makes only translation \(mo files\)
+	@echo make translation 		- makes only translation \(mo files\)
 	@echo make gtkspell		- makes only gtkspell detection module
 	@echo make tags			- makes 'tags' file for use with ctags
 	@echo
@@ -155,5 +162,5 @@
 	-rm tags
 	exuberant-ctags -R
 
-.PHONY: all translation trayicon gtkspell idle clean dist install help\
+.PHONY: all translation trayicon gtkspell idle clean dist distclean install help\
 	uninstall tags

=== po/Makefile ===
top_srcdir = ../src/
NAME = gajim
LANGS   := fr pt el pl es ru bg de nb cs nl pt_BR sv it eu sk no zh_CN
LANGDIR := $(foreach LANG, $(LANGS),$(LANG)/LC_MESSAGES/gajim.mo)

all: $(LANGDIR)

%.mo: %.po
	msgfmt $< -o $@

gajim.pot: ../src/*py ../src/common/*py ../src/gtkgui.glade.h \
			../src/history_manager.glade.h
	intltool-update --pot --gettext-package=$(NAME)

clean:
	find . -name '*.mo' -exec rm {} \;

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Set the C flags to include the GTK+ and Python libraries
 PYTHONVER = `python -c 'import sys; print sys.version[:3]'`
 CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0` -fPIC -I/usr/include/python$(PYTHONVER) -I.
-LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0`
+LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0` -lpython$(PYTHONVER)
 
 all: trayicon.so gtkspell.so

=== src/common/Makefile ===
# Set the C flags to include the GTK+ and Python libraries
PYTHONVER = `python -c 'import sys; print sys.version[:3]'`

HAVE_XSCRNSAVER = $(shell pkg-config --exists xscrnsaver && echo 'YES')

ifeq ($(HAVE_XSCRNSAVER),YES)
# We link with libXScrnsaver from modular X.Org X11
CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0 xscrnsaver` -fpic -I/usr/include/python$(PYTHONVER) -I.
LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0 xscrnsaver` -lpython$(PYTHONVER)
else
# # We link with libXScrnsaver from monolithic X.Org X11
CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0` -fpic -I/usr/include/python$(PYTHONVER) -I.
LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0` -L/usr/X11R6$(LIBDIR) -lX11 \
	-lXss -lXext -lpython$(PYTHONVER)
endif

all: idle.so

idle.so:
	$(CC) $(OPTFLAGS) $(CFLAGS) $(LDFLAGS) -shared idle.c $^ -o $@

clean:
	rm -f *.so
	rm -rf build

## gajim 0.10.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION		?= 0.10
+VERSION		?= 0.10.1
 
 GAJIM_AP	= 0 # do we build Autopackage?
 
@@ -46,10 +46,9 @@
 clean:
 	find . -name '*.pyc' -exec rm {} \;
 	find . -name '*.pyo' -exec rm {} \;
-	find . -name '*.mo' -exec rm {} \;
-	rm -f gajim.desktop \;
+	${MAKE} -C po clean
+	rm -f gajim.desktop
 	$(foreach sdir, $(MODULES), ${MAKE} -C $(sdir) clean;)
-
 dist:
 	rm -rf gajim-$(VERSION)
 	mkdir gajim-$(VERSION)
@@ -88,10 +87,7 @@
 			mkdir -p "$(DESTDIR)$(PREFIX)/share/locale/$$d"; \
 		fi; \
 	done
-	for f in $(FILES_PO) ; do \
-		DST=`dirname "$$f"`; \
-		cp "./po/$$f" "$(DESTDIR)$(PREFIX)/share/locale/$$DST/"; \
-	done
+	${MAKE} -C po install PREFIX=$(PREFIX)
 	cp COPYING "$(DESTDIR)$(PREFIX)/share/gajim/";
 	cp THANKS "$(DESTDIR)$(PREFIX)/share/gajim/";
 	mkdir -p "$(DESTDIR)$(PREFIX)/share/pixmaps";

=== po/Makefile ===
NAME = gajim
LANGS   := fr pt el pl es ru bg de nb cs nl pt_BR sv it eu sk no zh_CN
LANGS_PO:=$(foreach LANG, ${LANGS}, ${LANG}.po)
LANGS_MO:=$(foreach LANG, ${LANGS}, ${LANG}.mo)
DATADIR:=$(subst //,/,${DESTDIR}/${PREFIX}/share)

all: $(LANGS_MO)

%.mo: %.po
	msgfmt $< -o $@

gajim.pot: ../src/*py ../src/common/*py \
			../data/glade/account_context_menu.glade.h \
			../data/glade/account_creation_wizard_window.glade.h \
			../data/glade/account_modification_window.glade.h \
			../data/glade/accounts_window.glade.h \
			../data/glade/add_new_contact_window.glade.h \
			../data/glade/advanced_configuration_window.glade.h \
			../data/glade/advanced_menuitem_menu.glade.h \
			../data/glade/change_password_dialog.glade.h \
			../data/glade/change_status_message_dialog.glade.h \
			../data/glade/chat_context_menu.glade.h \
			../data/glade/chat_control_popup_menu.glade.h \
			../data/glade/choose_gpg_key_dialog.glade.h \
			../data/glade/data_form_window.glade.h \
			../data/glade/edit_groups_dialog.glade.h \
			../data/glade/filetransfers.glade.h \
			../data/glade/gajim_themes_window.glade.h \
			../data/glade/gc_control_popup_menu.glade.h \
			../data/glade/gc_occupants_menu.glade.h \
			../data/glade/history_manager.glade.h \
			../data/glade/history_window.glade.h \
			../data/glade/input_dialog.glade.h \
			../data/glade/invitation_received_dialog.glade.h \
			../data/glade/join_groupchat_window.glade.h \
			../data/glade/manage_accounts_window.glade.h \
			../data/glade/manage_bookmarks_window.glade.h \
			../data/glade/manage_proxies_window.glade.h \
			../data/glade/message_window.glade.h \
			../data/glade/passphrase_dialog.glade.h \
			../data/glade/popup_notification_window.glade.h \
			../data/glade/preferences_window.glade.h \
			../data/glade/progress_dialog.glade.h \
			../data/glade/remove_account_window.glade.h \
			../data/glade/roster_contact_context_menu.glade.h \
			../data/glade/roster_window.glade.h \
			../data/glade/service_discovery_window.glade.h \
			../data/glade/service_registration_window.glade.h \
			../data/glade/single_message_window.glade.h \
			../data/glade/subscription_request_window.glade.h \
			../data/glade/systray_context_menu.glade.h \
			../data/glade/vcard_information_window.glade.h \
			../data/glade/xml_console_window.glade.h
	intltool-update --pot --gettext-package=$(NAME)

install:
	for l in ${LANGS}; do\
		dir=${DATADIR}/locale/$${l}/LC_MESSAGES;\
		if test ! -d $${dir}; then\
			install -m 755 -d $${dir};\
		fi;\
		install -m 644 $${l}.mo $${dir}/${NAME}.mo;\
	done

clean:
	rm -f *.mo

## gajim 0.14.1

=== debian/changelog ===
gajim (0.14.1-1ubuntu1.2) oneiric-security; urgency=low

  * update debian/patches/CVE-2012-2085.dpatch:
    fixes regression from 0.14.1-1ubuntu1.1: (LP: #999629)
    execution of external commands broke by missing backport of
    ThreadInterface

 -- Julian Taylor <jtaylor@ubuntu.com>  Tue, 15 May 2012 18:17:05 +0200

gajim (0.14.1-1ubuntu1.1) oneiric-security; urgency=low

  * SECURITY UPDATE: assisted code execution (LP: #992618)
    - debian/patches/CVE-2012-2085.patch: fix subprocess call to prevent
      shell escape from via crafted messages
      https://trac.gajim.org/changeset/bc296e96ac10
    - CVE-2012-2085
  * SECURITY UPDATE: sql injection in logging code (LP: #992618)
    - debian/patches/CVE-2012-2086.patch: use a prepated statement
      https://trac.gajim.org/changeset/bfd5f94489d8
    - CVE-2012-2086
  * SECURITY UPDATE: insecure tmpfile creation (LP: #992613)
    - debian/patches/CVE-2012-2093.patch: use safe tmpfile functions
      when convering LaTeX IM messages to png images
      Thanks to Nico Golde
    - CVE-2012-2093

 -- Julian Taylor <jtaylor@ubuntu.com>  Thu, 10 May 2012 17:48:34 -0700

gajim (0.14.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable(LP: #630876). Remaining changes:
    - Kept Ubuntu patches
      + config-write-sync.patch
      + ubuntu-keyring.patch
  * Drop the debian/watch change as debian version of the watch file just
    works fine I think.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 19 May 2011 12:14:37 +0530

gajim (0.14.1-1) unstable; urgency=low

  [ Yann Leboulanger ]
  * New upstream release. Closes: #604966
  * Correctly sanitize menuentries in chat window action context menu.
    Closes: #574839
  * Fix traceback when closing file request dialog. Closes: #587186
  * Recommend python-openssl >= 0.9. Closes: #594772
  * Improve a string. Closes: #553527
  * Fix cancelling file transfer. Closes: #587679

  [ Julien Valroff ]
  * Switch to dh from CDBS and drop unused (build-)dependencies.
  * Switch to dh_python2 from pysupport. Closes: #616819
  * Drop useless debian/dirs.
  * Switch to 3.0 (quilt) source format.
  * Update Standards-Version to 3.9.2.
  * Remove useless and unused shlibs:Depends substvar.
  * Add a note about python-farsight in README.Debian.
  * Add patch and use dh_autoreconf to remove build-dependencies on
    python-dev, python-gtk2-dev and libgtk2.0-dev.

 -- Yann Leboulanger <asterix@lagaule.org>  Sat, 07 May 2011 16:01:37 +0200

gajim (0.13.4-3ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:02:54 +0000

gajim (0.13.4-3ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #672484). Remaining changes:
    - Updated debian/watch
    - Kept Ubuntu patches
      + config-write-sync.patch
      + ubuntu-keyring.patch

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 08 Nov 2010 11:27:08 +0100

gajim (0.13.4-3) unstable; urgency=low

  * Fix a problem when canceling password keyring creation.

 -- Yann Leboulanger <asterix@lagaule.org>  Thu, 04 Nov 2010 20:40:52 +0100

gajim (0.13.4-2ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #662154). Remaining changes:
    - Updated debian/watch
    - Kept Ubuntu patches
      + config-write-sync.patch
      + ubuntu-keyring.patch
  * Dropped change: (superceeded in debian)
    - Changed python build version from 2.5 to 2.6 in debian/rules
 
 -- Angel Abad <angelabad@ubuntu.com>  Tue, 14 Sep 2010 11:16:21 +0100

gajim (0.13.4-2) unstable; urgency=low

  * don't fail to build with python != 2.5. Closes: #595870
  * fix minimum python-openssl version to 0.9. Closes: #594772

 -- Yann Leboulanger <asterix@lagaule.org>  Tue, 07 Sep 2010 09:28:03 +0200

gajim (0.13.4-1ubuntu1) maverick; urgency=low

  * Merge from debian testing (LP: #506049), remaining changes:
    - Updated debian/watch
    - Kept Ubuntu patches
      + config-write-sync.patch
      + ubuntu-keyring.patch
    - Changed python build version from 2.5 to 2.6 in debian/rules

 -- Jonathan Michalon <johndescs@gmail.com>  Tue, 25 May 2010 18:54:10 +0200

gajim (0.13.4-1) unstable; urgency=low

  * New upstream release.
  * Fix flood when trying to join a full MUC. Closes: #575688

 -- Yann Leboulanger <asterix@lagaule.org>  Fri, 02 Apr 2010 10:19:59 +0200

gajim (0.13.3-1) unstable; urgency=low

  * New upstream release.
  * Fix connection to facebook. Closes: #569767

 -- Yann Leboulanger <asterix@lagaule.org>  Tue, 23 Feb 2010 21:00:41 +0100

gajim (0.13.2-1) unstable; urgency=low

  * New upstream release.
  * Fix gnomekeyring usage. Closes: #562913
  * Fix completion. Closes: #563930
  * Fix typo in suggests list. Closes: #564754

 -- Yann Leboulanger <asterix@lagaule.org>  Thu, 14 Jan 2010 21:23:36 +0100

gajim (0.13.1-1) unstable; urgency=low

  * New upstream release. Closes: #559905
  * Update PyGTK requirement to 2.12.0 minimum
  * Fix filetransfer proxies testing, keepalive handling, memory leak.
    Closes: #524514
  * Better connection. Closes: #547267
  * Fix proxy test on startup. Closes: #453910
  * Fix sound playing. Closes: #527275
  * Update debhelper compatibility level to 7

 -- Yann Leboulanger <asterix@lagaule.org>  Sun, 29 Nov 2009 01:21:04 +0100

gajim (0.13-0ubuntu2) lucid; urgency=low

  * debian/control:
    - Change python-gnome2-extras recommends to python-eggtrayicon.
      The former package has gone away in Lucid.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Tue, 15 Dec 2009 02:32:45 +0000

gajim (0.13-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/patches:
    - Drop add-indicator-support.patch, implemented upstream.
    - Drop show_roster_on_startup.patch, merged upstream.
    - Drop notify-osd.patch, merged upstream.
  * debian/gajim.install:
    - Removed usr/lib/gajim/*.so: sources ported to Python, no .so files.

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 25 Nov 2009 14:13:30 +0600

gajim (0.12.5-1) unstable; urgency=low



=== debian/control ===
Source: gajim
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Yann Leboulanger <asterix@lagaule.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), dh-autoreconf, gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev
Standards-Version: 3.9.2
Homepage: http://www.gajim.org
Vcs-Hg: http://hg.gajim.org/gajim/
Vcs-Browser: http://hg.gajim.org/gajim/file

Package: gajim
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.16.0), dnsutils
Recommends: dbus, python-dbus, notification-daemon, python-gnupginterface, python-openssl (>= 0.9), python-crypto
Suggests: python-gconf, python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnomekeyring, gnome-keyring, python-sexy, python-kerberos (>= 1.1), texlive-latex-base, dvipng, python-farsight, gstreamer0.10-plugins-ugly
Description: Jabber client written in PyGTK
 Gajim is a Jabber client. It has a tabbed user interface with normal chats,
 group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
 avatars, file transfers, audio/video call, D-Bus and Metacontacts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,autoreconf

# test target is broken
override_dh_auto_test:

override_dh_auto_configure:
	convert icons/hicolor/64x64/apps/gajim.png -resize 32x32 debian/gajim.xpm
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	rm debian/gajim/usr/share/gajim/src/common/GnuPGInterface.py*

override_dh_auto_clean:
	-rm -f debian/gajim.xpm
	dh_auto_clean

## gajim 0.14.3

=== debian/changelog ===
gajim (0.14.3-1) unstable; urgency=low

  * New upstream release.
  * Fix closing roster window. Closes: #630315

 -- Yann Leboulanger <asterix@lagaule.org>  Sun, 19 Jun 2011 21:46:09 +0200

gajim (0.14.2-1) unstable; urgency=low

  * New upstream release.
  * Fix CPU usage when testing file transfer proxies. Closes: #626576

 -- Yann Leboulanger <asterix@lagaule.org>  Tue, 07 Jun 2011 19:30:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gajim
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Yann Leboulanger <asterix@lagaule.org>
+Maintainer: Yann Leboulanger <asterix@lagaule.org>
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), dh-autoreconf, gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev
 Standards-Version: 3.9.2
 Homepage: http://www.gajim.org

## gajim 0.14.4

=== debian/changelog ===
gajim (0.14.4-2) unstable; urgency=low

  * Add patch to fix bug when saving multi-line subscription message.
    Closes: #640615

 -- Yann Leboulanger <asterix@lagaule.org>  Tue, 06 Sep 2011 21:43:47 +0200

gajim (0.14.4-1) unstable; urgency=low

  * New upstream release. Closes: #637071
  * Fixes weird error. Closes: #632226
  * Stop suggesting unused python-sexy. Closes: #633301
  * Modify 00_debian-copying.diff to also not install ChangeLog file.
    dh_changelogs will do it.

 -- Yann Leboulanger <asterix@lagaule.org>  Fri, 22 Jul 2011 12:56:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.16.0), dnsutils
 Recommends: dbus, python-dbus, notification-daemon, python-gnupginterface, python-openssl (>= 0.9), python-crypto
-Suggests: python-gconf, python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnomekeyring, gnome-keyring, python-sexy, python-kerberos (>= 1.1), texlive-latex-base, dvipng, python-farsight, gstreamer0.10-plugins-ugly
+Suggests: python-gconf, python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnomekeyring, gnome-keyring, python-kerberos (>= 1.1), texlive-latex-base, dvipng, python-farsight, gstreamer0.10-plugins-ugly
 Description: Jabber client written in PyGTK
  Gajim is a Jabber client. It has a tabbed user interface with normal chats,
  group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,

## gajim 0.15.1

=== debian/changelog ===
gajim (0.15.1-2) unstable; urgency=low

  * re-add missing 0.15-1.1 changelog entry
  * add a patch to prevent a traceback.
  * add a patch to fix a crash. Closes: #690937

 -- Yann Leboulanger <asterix@lagaule.org>  Sun, 14 Oct 2012 18:02:36 +0200

gajim (0.15.1-1) unstable; urgency=low

  * New upstream release.
  * change python-farsight to python-farstream in suggests list. Closes: #682598
  * Add python-gupnp-igd to suggests list. Closes: #668194
  * Fix shortcut behaviour in roster window. Closes: #667870
  * Improve GPG status handling. Closes: #670243

 -- Yann Leboulanger <asterix@lagaule.org>  Tue, 29 Aug 2012 09:51:52 +0200

gajim (0.15-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2012-2093: insecure use of temporary files when convering LaTeX
    IM messages to png images. Closes: #668710

 -- Luk Claes <luk@debian.org>  Sat, 16 Jun 2012 18:22:00 +0200

gajim (0.15-1) unstable; urgency=low

  * New upstream release.
  * remove 00_debian-copying.diff because upstream doesn't install it anymore
  * remove 01_configure-ac.diff because upstream changed configure dependencies
  * remove python-gnupginterface from recommands list, it's no more used

 -- Yann Leboulanger <asterix@lagaule.org>  Sat, 18 Mar 2012 10:32:38 +0100

=== debian/control ===
Source: gajim
Section: net
Priority: optional
Maintainer: Yann Leboulanger <asterix@lagaule.org>
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3~), gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev
Standards-Version: 3.9.3
Homepage: http://www.gajim.org
Vcs-Hg: http://hg.gajim.org/gajim/
Vcs-Browser: http://hg.gajim.org/gajim/file

Package: gajim
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.22.0), dnsutils
Recommends: dbus, python-dbus, notification-daemon, python-openssl (>= 0.12), python-crypto, python-pyasn1
Suggests: python-gconf, python-gnome2, nautilus-sendto, avahi-daemon, python-avahi, network-manager, libgtkspell0, aspell-en, python-gnomekeyring, gnome-keyring, python-kerberos (>= 1.1), texlive-latex-base, dvipng, python-farstream, gstreamer0.10-plugins-ugly, python-pycurl, python-gupnp-igd
Description: Jabber client written in PyGTK
 Gajim is a Jabber client. It has a tabbed user interface with normal chats,
 group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
 avatars, file transfers, audio/video call, D-Bus and Metacontacts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

# test target is broken
override_dh_auto_test:

override_dh_auto_configure:
	convert icons/hicolor/64x64/apps/gajim.png -resize 32x32 debian/gajim.xpm
	dh_auto_configure

override_dh_auto_clean:
	-rm -f debian/gajim.xpm
	dh_auto_clean

## gajim 0.15.4

=== debian/changelog ===
gajim (0.15.4-2) unstable; urgency=low

  * debian/control:
     - turn dbus into a Depends rather than a Recommends, as Gajim does not
       seem to work without it. (Closes: #701994)
     - use a secure URL for Gajim homepage (but not for VCS web interface,
       sorry). (Closes: #727037)
     - recommend ca-certificates.
  * debian/rules: remove cacerts.pem, replaced by certificates from
    ca-certificates. (Closes: #729568)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 24 Nov 2013 18:58:51 +0100

gajim (0.15.4-1) unstable; urgency=low

  * New upstream release. (Closes: #693648)
  * debian/control:
     - new maintainer (myself).
     - update dependencies (add two missing ones and reformat).
     - update Vcs-* field for new package repository (Git).
     - update Standards-Version to 3.9.4 (no change needed).
  * debian/copyright: switch to machine-readable format.
  * debian/rules: update a comment to explain with more detail why the test
    target is broken.
  * debian/patches:
     - desktop-keywords.patch: add a keywords entry to the desktop
       entry.
     - fix-oid-definitions.patch: fix OID handling in
       src/common/check_X509.py, thanks to Yves-Alexis Perez <corsac>.
       (Closes: #699477)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 15 Aug 2013 19:55:23 +0200

gajim (0.15.3-1) experimental; urgency=low

  * New upstream release
  * Switch to 3.0 (quilt) source format.

 -- Yann Leboulanger <yann@leboulanger.org>  Sun, 17 Mar 2013 18:32:12 +0200

gajim (0.15.1-4) unstable; urgency=low

  * apply patches using dpatch in debian/rules

 -- Yann Leboulanger <asterix@lagaule.org>  Fri, 15 Feb 2013 23:34:36 +0200

gajim (0.15.1-3) unstable; urgency=low

  * Go back to old patch format so that Gajim can go in testing.

 -- Yann Leboulanger <asterix@lagaule.org>  Sun, 02 Dec 2012 19:42:34 +0200

=== debian/control ===
Source: gajim
Section: net
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
               python (>= 2.6.6-3~), gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev
Standards-Version: 3.9.4
Homepage: https://gajim.org/
Vcs-Git: git://git.ortolo.eu/pkg-gajim.git
Vcs-Browser: http://git.ortolo.eu/pkg-gajim.git

Package: gajim
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.22.0), dnsutils,
            dbus, python-dbus (>=0.81)
Recommends: python-openssl (>= 0.12), python-pyasn1, python-crypto,
            notification-daemon, ca-certificates
Suggests: libxss1,
          avahi-daemon, python-avahi,
          libgtkspell0, aspell-en | aspell-dictionary,
          python-gnome2, python-gnomekeyring, gnome-keyring, kwalletcli,
          python-kerberos (>= 1.1),
          texlive-latex-base, dvipng,
          python-farstream, gstreamer0.10-plugins-ugly,
          python-gconf, nautilus-sendto, network-manager,
          python-pycurl, python-gupnp-igd
Description: GTK+-based Jabber client
 Gajim is a Jabber client. It has a tabbed user interface with normal chats,
 group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
 avatars, file transfers, audio/video call, D-Bus and Metacontacts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

# The Makefile test target is broken and refers to a non-existant test/runtests.py;
# in fact that target should not exist at all.
override_dh_auto_test:

override_dh_auto_configure:
	convert icons/hicolor/64x64/apps/gajim.png -resize 32x32 debian/gajim.xpm
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/gajim/usr/share/gajim/data/other/cacerts.pem

override_dh_auto_clean:
	-rm -f debian/gajim.xpm
	dh_auto_clean

## gajim 0.16

=== debian/changelog ===
gajim (0.16-1) unstable; urgency=medium

  * New upstream release. (Closes: #729042, #757570)
  * debian/patches:
     - fix-oid-definitions.patch: remove deprecated patch, which
       has been applied upstream.
     - desktop-keywords.patch: remove deprecated patch, which has been applied
       upstream.
     - fix-manpages.patch: fix markup errors in manpages.
  * debian/control:
     - depend on python-nbxmpp
     - update Standards-Version to 3.9.6 (no change needed).
  * debian/copyright: remove deprecated paragraph about python-xmpppy fork,
    which is now an distinct project.
  * debian/rules:
     - move the XPM icon generation to the build target instead of the
       configure one.
     - no longer remove a duplicate certificate which is no longer provided.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 14 Oct 2014 22:02:28 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
                python (>= 2.6.6-3~), gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://gajim.org/
 Vcs-Git: git://git.ortolo.eu/pkg-gajim.git
 Vcs-Browser: http://git.ortolo.eu/pkg-gajim.git
@@ -12,7 +12,7 @@
 Package: gajim
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.22.0), dnsutils,
-            dbus, python-dbus (>=0.81)
+            dbus, python-dbus (>=0.81), python-nbxmpp
 Recommends: python-openssl (>= 0.12), python-pyasn1, python-crypto,
             notification-daemon, ca-certificates
 Suggests: libxss1,

## gajim 0.16.5

=== debian/changelog ===
gajim (0.16.5-1) unstable; urgency=low

  * debian/control:
    - add myself to Uploaders
    - remove python-farstream from suggestions, it got dropped from unstable
      (closes: #813763)
    - update Standards-Version to 3.9.7 (no changes needed)
  * debian/watch: update to fix checking for newer upstream versions
  * debian/gajim.menu: removed to fix lintian warning

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sat, 05 Mar 2016 16:21:53 +0100

gajim (0.16.5-0.1) unstable; urgency=medium

  * Non-Maintainer Upload.
  * New upstream release. (closes: #785521)
  * SECURITY UPDATE: Update to 0.16.5 to fix security issue:
    - CVE-2015-8688: Message interception due to unverified origin of roster
      push
    - https://gultsch.de/gajim_roster_push_and_message_interception.html
    (closes: #809900)
  * debian/patches/fix-manpages.patch: Remove deprecated patch, which has been
    applied upstream.
  * debian/control: Require python-nbxmpp (>= 0.5.3).

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 26 Jan 2016 15:19:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Uploaders: Norbert Tretkowski <norbert@tretkowski.de>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
                python (>= 2.6.6-3~), gettext (>= 0.17-4), intltool (>= 0.40.1), imagemagick, libglib2.0-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://gajim.org/
 Vcs-Git: git://git.ortolo.eu/pkg-gajim.git
 Vcs-Browser: http://git.ortolo.eu/pkg-gajim.git
@@ -12,7 +13,7 @@
 Package: gajim
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, python-gtk2 (>= 2.22.0), dnsutils,
-            dbus, python-dbus (>=0.81), python-nbxmpp
+            dbus, python-dbus (>=0.81), python-nbxmpp (>= 0.5.3)
 Recommends: python-openssl (>= 0.12), python-pyasn1, python-crypto,
             notification-daemon, ca-certificates
 Suggests: libxss1,

=== debian/watch ===
# Control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3
http://gajim.org/downloads.php?lang=en \
(?:|.*/)gajim(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## gajim 0.16.6

=== debian/changelog ===
gajim (0.16.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- W. Martin Borgert <debacle@debian.org>  Wed, 19 Oct 2016 21:32:53 +0000

gajim (0.16.6-1) unstable; urgency=low

  * New upstream release (closes: #839780)
  * debian/docs, debian/README.Debian: removed reference to python-farstream,
    no longer in the archive
  * debian/patches/fix-gpg2-status.patch: remove patch, merged upstream

 -- Norbert Tretkowski <norbert@tretkowski.de>  Sat, 08 Oct 2016 12:10:31 +0200

gajim (0.16.5-2) unstable; urgency=medium

  * debian/patches/fix-gpg2-status.patch: backport a fix to handle new GnuPG
    status. (Closes: #834399, #831394)
  * debian/control:
     - reformat dependency fields with multiple lines, one per entry, sorted
       alphabetically (easier to maintain).
     - depend on debhelper >= 9.
     - switch VCS-* URLs to HTTPS.
     - update Standards-Version to 3.9.8 (removed deprecated Debian menu
       entry).
     - recommend sound utilities that are used to play sound.
       (Closes: #733458)
     - depend on rather than recommend on python-openssl and python-pyasn1,
       which are required for secure connections. (Closes: #767317)
     - recommend rather than depend on dbus and python-dbus. (Closes: #831738)
     - actually remove suggestion of python-farstream (it was mentioned but
       not really done last time).
     - build-depend on dh-python, which provides the backend for dh_python2.
  * debian/compat: switch to recommended debhelper level 9.
  * debian/rules: remove rules meant to create the now deprecated Debian menu
    icon.
  * debian/gajim.menu, debian/install: remove the now deprecated Debian menu
    entry.
  * debian/watch:
     - revert to previous way of getting released tarballs from a directory
       index (works fine and allows one to fetch older releases if needed)
       rather than a website page (only provides latest version).
     - switch to HTTPS.
     - take into accounts tarballs with bzip2 and XZ.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 24 Aug 2016 13:33:27 +0200

=== debian/control ===
Source: gajim
Section: net
Priority: optional
Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Uploaders: Norbert Tretkowski <norbert@tretkowski.de>
Build-Depends:
    autotools-dev,
    debhelper (>= 9),
    dh-python,
    gettext (>= 0.17-4),
    imagemagick,
    intltool (>= 0.40.1),
    libglib2.0-dev,
    python (>= 2.6.6-3~),
Standards-Version: 3.9.8
Homepage: https://gajim.org/
Vcs-Git: https://git.ortolo.eu/git/pkg-gajim.git
Vcs-Browser: https://git.ortolo.eu/pkg-gajim.git

Package: gajim
Architecture: all
Depends:
    ${misc:Depends}, ${python:Depends},
    dnsutils,
    python-gtk2 (>= 2.22.0),
    python-nbxmpp (>= 0.5.3),
    python-openssl (>= 0.12),
    python-pyasn1,
Recommends:
    ca-certificates,
    dbus,
    notification-daemon,
    pulseaudio-utils | alsa-utils | sox | oss4-base,
    python-crypto,
    python-dbus (>=0.81),
Suggests:
    aspell-en | aspell-dictionary,
    avahi-daemon,
    dvipng,
    gnome-keyring,
    gstreamer0.10-plugins-ugly,
    kwalletcli,
    libgtkspell0,
    libxss1,
    nautilus-sendto,
    network-manager,
    python-avahi,
    python-gconf,
    python-gnome2,
    python-gnomekeyring,
    python-gupnp-igd,
    python-kerberos (>= 1.1),
    python-pycurl,
    texlive-latex-base,
Description: GTK+-based Jabber client
 Gajim is a Jabber client. It has a tabbed user interface with normal chats,
 group chats, and has many features such as, TLS, GPG, SSL, multiple accounts,
 avatars, file transfers, audio/video call, D-Bus and Metacontacts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

# The Makefile test target is broken and refers to a non-existant test/runtests.py;
# in fact that target should not exist at all.
override_dh_auto_test:

## gajim 0.16.8

=== debian/changelog ===
gajim (0.16.8-5) unstable; urgency=medium

  * Dropped gpg patch altogether (Closes: #874791) again

 -- W. Martin Borgert <debacle@debian.org>  Thu, 14 Sep 2017 07:48:59 +0000

gajim (0.16.8-4) unstable; urgency=medium

  * Add updated patch to disable plugin installer by default (Closes: #805620)
  * Update patch to use gpg2 now with new python-gnugp (Closes: #874791)

 -- W. Martin Borgert <debacle@debian.org>  Sun, 10 Sep 2017 08:44:29 +0000

gajim (0.16.8-3) unstable; urgency=medium

  * Recommend python-gnupg and use explicitly 'gpg1', because
    python-gnupg is not yet compatible with 'gpg2' (modern 'gpg')
    (Closes: #865097)
  * python-gnupg is not embedded anymore (Closes: #839772)
  * Apply upstream patch to pass use-agent to gnupg
  * Apply upstream patch to pass UTF-8 encoding to gnupg
  * Bump standards version (no changes)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 26 Jun 2017 20:38:40 +0000

gajim (0.16.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 16 Jun 2017 19:04:41 +0000

gajim (0.16.8-1) experimental; urgency=low

  * New upstream release.
  * Change of maintainer and uploaders.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 08 Jun 2017 22:10:32 +0000

gajim (0.16.7-1) experimental; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Tue, 07 Feb 2017 10:55:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: gajim
 Section: net
 Priority: optional
-Maintainer: Tanguy Ortolo <tanguy+debian@ortolo.eu>
-Uploaders: Norbert Tretkowski <norbert@tretkowski.de>
+Maintainer: Debian Gajim Maintainers <pkg-gajim-maintainers@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
+    Norbert Tretkowski <norbert@tretkowski.de>,
+    W. Martin Borgert <debacle@debian.org>
 Build-Depends:
     autotools-dev,
-    debhelper (>= 9),
+    debhelper (>= 10),
     dh-python,
     gettext (>= 0.17-4),
     imagemagick,
     intltool (>= 0.40.1),
     libglib2.0-dev,
     python (>= 2.6.6-3~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://gajim.org/
-Vcs-Git: https://git.ortolo.eu/git/pkg-gajim.git
-Vcs-Browser: https://git.ortolo.eu/pkg-gajim.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gajim.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gajim.git
 
 Package: gajim
 Architecture: all
@@ -32,6 +34,7 @@
     notification-daemon,
     pulseaudio-utils | alsa-utils | sox | oss4-base,
     python-crypto,
+    python-gnupg (>= 0.4.1),
     python-dbus (>=0.81),
 Suggests:
     aspell-en | aspell-dictionary,
